@echo off
if not %1x==x goto args_ok
cls
echo Anaya Interactiva y Knowledge Adventure presentan:
echo LA AVENTURA DEL CUERPO HUMANO.
echo.
echo Para instalar el producto, primero cree el directorio en el que va a
echo realizar la instalaci¢n. Por ejemplo:
echo ÿ
echo      md \anatomia      (desde el indicador del disco duro)
echo ÿ
echo Seguidamente, acceda a ese directorio:
echo ÿ
echo      cd \anatomia
echo ÿ
echo Copie entonces este archivo batch en ese directorio:
echo ÿ
echo      copy a:instalar.bat (si realiza la instalaci¢n desde la unidad A:)
echo ÿ
echo Finalmente, inserte el disco 1 y ejecute el archivo batch desde \anatomia
echo con el nombre de la unidad de disco como argumento:
echo ÿ
echo      instalar a:       (si realiza la instalaci¢n desde la unidad A:)
echo ÿ
echo ÿ
goto abort
:disk1
cls
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo                Instalaci¢n de La Aventura del Cuerpo Humano
echo       Por favor, inserte el disco 1 en la unidad %1 y pulse Intro
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
pause
:args_ok
if not exist %1\0.zip goto disk1
cls
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo Copiando el producto de Anaya Interactiva y Knowledge Adventure desde %1
echo en el directorio actual.
type %1\disk1.txt
copy %1\iinstall.pal iinstall.pal>nul
copy %1\iinstall.fnt iinstall.fnt>nul
copy %1\leame.bat leame.bat>nul
copy %1\leame.doc leame.doc>nul
copy %1\leamew.doc leamew.doc>nul
copy %1\instesp.txl instesp.txl>nul
copy %1\transfer.com transfer.com>nul
copy %1\appendf.com appendf.com>nul
copy %1\nofiles.txt nofiles.txt>nul
md drivers
copy %1\0.zip 0.zip>nul
transfer 0.zip  > nul
del 0.zip
ren 0 setup.scr
ren 1 alt.cnf
ren 2 kagroup.exe
ren 3 kalogo.adl
ren 4 kalogo.rld
ren 5 knowledg.voc
ren 6 sbtest.com
ren 7 ultrasnd.exe
ren 8 ultramid.ini
ren 9 vgacapt.exe
ren 10 mouse.com
ren 11 moustest.exe
ren 12 kawin.exe
ren 13 kawin.txt
copy 14 drivers\adlib.drv>nul
del 14
copy 15 drivers\adlibdig.drv>nul
del 15
copy 16 drivers\adlibg.drv>nul
del 16
copy 17 drivers\algdig.drv>nul
del 17
copy 18 drivers\cvxsnd.drv>nul
del 18
copy 19 drivers\disney.drv>nul
del 19
copy 20 drivers\gravisdg.drv>nul
del 20
copy 21 drivers\gravismu.drv>nul
del 21
copy 22 drivers\lantsnd.drv>nul
del 22
copy 23 drivers\msftdig.drv>nul
del 23
copy 24 drivers\msftmus.drv>nul
del 24
copy 25 drivers\pasdig.drv>nul
del 25
copy %1\1.zip 1.zip>nul
transfer 1.zip  > nul
del 1.zip
appendf 26 drivers\pasdig.drv
del 26
copy 27 drivers\pasfm.drv>nul
del 27
copy 28 drivers\pasopl.drv>nul
del 28
copy 29 drivers\pcspkr.drv>nul
del 29
copy 30 drivers\roland.drv>nul
del 30
copy 31 drivers\sbdig.drv>nul
del 31
copy 32 drivers\sbfm.drv>nul
del 32
copy 33 drivers\sbp2fm.drv>nul
del 33
copy 34 drivers\sbpdig.drv>nul
del 34
copy 35 drivers\tansltl.drv>nul
del 35
copy 36 drivers\vmsnd.drv>nul
del 36
ren 37 vrsd.386
ren 38 anatomia.ico
ren 39 ka.bml
ren 40 ka.db
ren 41 ka.inl
ren 42 ka.lnk
copy %1\2.zip 2.zip>nul
transfer 2.zip  > nul
del 2.zip
appendf 43 ka.lnk
del 43
ren 44 ka.ndx
ren 45 ka.not
ren 46 ka.skp
ren 47 ka.str
ren 48 ka.txt
copy %1\3.zip 3.zip>nul
transfer 3.zip  > nul
del 3.zip
appendf 49 ka.txt
del 49
ren 50 ka.ad
ren 51 ka.adl
ren 52 ka.com
ren 53 ka.iml
copy %1\4.zip 4.zip>nul
transfer 4.zip  > nul
del 4.zip
appendf 54 ka.iml
del 54
copy %1\5.zip 5.zip>nul
transfer 5.zip  > nul
del 5.zip
appendf 55 ka.iml
del 55
copy %1\6.zip 6.zip>nul
transfer 6.zip  > nul
del 6.zip
appendf 56 ka.iml
del 56
copy /b %1\7.zip .\temp.gz>nul
:disk2
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo             Instalar ha terminado la instalaci¢n del disco 1
echo        Por favor, inserte el disco 2 en la unidad %1 y pulse Intro
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
pause
if not exist %1\7.mor goto disk2
type %1\disk2.txt
copy /b .\temp.gz+%1\7.mor .\7.zip>nul
if errorlevel 1 goto abort
del .\temp.gz

transfer 7.zip >nul
del 7.zip
appendf 57 ka.iml
del 57
copy %1\8.zip 8.zip>nul
transfer 8.zip  > nul
del 8.zip
appendf 58 ka.iml
del 58
copy %1\9.zip 9.zip>nul
transfer 9.zip  > nul
del 9.zip
appendf 59 ka.iml
del 59
copy %1\10.zip 10.zip>nul
transfer 10.zip  > nul
del 10.zip
appendf 60 ka.iml
del 60
copy %1\11.zip 11.zip>nul
transfer 11.zip  > nul
del 11.zip
appendf 61 ka.iml
del 61
copy %1\12.zip 12.zip>nul
transfer 12.zip  > nul
del 12.zip
appendf 62 ka.iml
del 62
copy /b %1\13.zip .\temp.gz>nul
:disk3
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo             Instalar ha terminado la instalaci¢n del disco 2
echo        Por favor, inserte el disco 3 en la unidad %1 y pulse Intro
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
pause
if not exist %1\13.mor goto disk3
type %1\disk3.txt
copy /b .\temp.gz+%1\13.mor .\13.zip>nul
if errorlevel 1 goto abort
del .\temp.gz

transfer 13.zip >nul
del 13.zip
appendf 63 ka.iml
del 63
copy %1\14.zip 14.zip>nul
transfer 14.zip  > nul
del 14.zip
appendf 64 ka.iml
del 64
copy %1\15.zip 15.zip>nul
transfer 15.zip  > nul
del 15.zip
appendf 65 ka.iml
del 65
copy %1\16.zip 16.zip>nul
transfer 16.zip  > nul
del 16.zip
appendf 66 ka.iml
del 66
copy %1\17.zip 17.zip>nul
transfer 17.zip  > nul
del 17.zip
appendf 67 ka.iml
del 67
ren 68 ka.lch
ren 69 ka.rld
copy %1\18.zip 18.zip>nul
transfer 18.zip  > nul
del 18.zip
appendf 70 ka.rld
del 70
ren 71 ka.snd
copy %1\19.zip 19.zip>nul
transfer 19.zip  > nul
del 19.zip
appendf 72 ka.snd
del 72
copy /b %1\20.zip .\temp.gz>nul
:disk4
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo            Instalar ha terminado la instalaci¢n del disco 3
echo       Por favor, inserte el disco 4 en la unidad %1 y pulse Intro
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
pause
if not exist %1\20.mor goto disk4
type %1\disk4.txt
copy /b .\temp.gz+%1\20.mor .\20.zip>nul
if errorlevel 1 goto abort
del .\temp.gz

transfer 20.zip >nul
del 20.zip
appendf 73 ka.snd
del 73
copy %1\21.zip 21.zip>nul
transfer 21.zip  > nul
del 21.zip
appendf 74 ka.snd
del 74
copy %1\22.zip 22.zip>nul
transfer 22.zip  > nul
del 22.zip
appendf 75 ka.snd
del 75
copy %1\23.zip 23.zip>nul
transfer 23.zip  > nul
del 23.zip
appendf 76 ka.snd
del 76
copy %1\24.zip 24.zip>nul
transfer 24.zip  > nul
del 24.zip
appendf 77 ka.snd
del 77
copy /b %1\25.zip .\temp.gz>nul
:disk5
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo             Instalar ha terminado la instalaci¢n del disco 4
echo        Por favor, inserte el disco 5 en la unidad %1 y pulse Intro
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
pause
if not exist %1\25.mor goto disk5
type %1\disk5.txt
copy /b .\temp.gz+%1\25.mor .\25.zip>nul
if errorlevel 1 goto abort
del .\temp.gz

transfer 25.zip >nul
del 25.zip
appendf 78 ka.snd
del 78
ren 79 ka.tnl
copy %1\26.zip 26.zip>nul
transfer 26.zip  > nul
del 26.zip
appendf 80 ka.tnl
del 80
ren 81 ka.wfl
copy %1\27.zip 27.zip>nul
transfer 27.zip  > nul
del 27.zip
appendf 82 ka.wfl
del 82
ren 83 ka.vce
copy %1\28.zip 28.zip>nul
transfer 28.zip  > nul
del 28.zip
appendf 84 ka.vce
del 84
ren 85 kav.pgm
copy %1\29.zip 29.zip>nul
transfer 29.zip  > nul
del 29.zip
appendf 86 kav.pgm
del 86
copy %1\30.zip 30.zip>nul
transfer 30.zip  > nul
del 30.zip
appendf 87 kav.pgm
del 87
ren 88 small.fnt
ren 89 standard.fnt
ren 90 bigzoom.fnt
ren 91 smlzoom.fnt
ren 92 wf.exe
ren 93 zrun.exe
copy %1\31.zip 31.zip>nul
transfer 31.zip  > nul
del 31.zip
appendf 94 zrun.exe
del 94
ren 95 zsc.arc
copy %1\32.zip 32.zip>nul
transfer 32.zip  > nul
del 32.zip
appendf 96 zsc.arc
del 96
ren 97 cmp.arc
copy %1\33.zip 33.zip>nul
transfer 33.zip  > nul
del 33.zip
appendf 98 cmp.arc
del 98
copy /b %1\34.zip .\temp.gz>nul
:disk6
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
echo             Instalar ha terminado la instalaci¢n del disco 5
echo        Por favor, inserte el disco 6 en la unidad %1 y pulse Intro
echo ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
pause
if not exist %1\34.mor goto disk6
type %1\disk6.txt
copy /b .\temp.gz+%1\34.mor .\34.zip>nul
if errorlevel 1 goto abort
del .\temp.gz

transfer 34.zip >nul
del 34.zip
appendf 99 cmp.arc
del 99
ren 100 cmd.arc
copy %1\35.zip 35.zip>nul
transfer 35.zip  > nul
del 35.zip
appendf 101 cmd.arc
del 101
ren 102 txt.arc
ren 103 mov.arc
copy %1\36.zip 36.zip>nul
transfer 36.zip  > nul
del 36.zip
appendf 104 mov.arc
del 104
ren 105 fixed.pal
del .\transfer.com
del .\appendf.com
cd .
copy alt.cnf ka.cnf
echo Instalaci¢n completa.  Ahora ejecute el programa SETUP...
if not exist setup.exe goto nosetup
.\setup
if errorlevel 1 goto abort
echo ­SETUP finalizado!
goto endinst
:nosetup
echo ­SETUP cancelado!  No se encontr¢ el programa SETUP.
goto endinst
:abort
echo ­Instalaci¢n cancelada!  Se ha producido un error.
:endinst
